# jsetfield

Set the field of a Java object

## Calling Sequence

                jsetfield(object, fieldName, value)

## Parameters

object

  A mlist typed _JObj or _JClass or a Scilab variable

fieldName

  A string giving the field name

value

  A Scilab variable or mlist typed _JObj as new field value

## Description

Set the field named fieldName to the given value.

This function also works with beans properties which may not be mapped to a public java field.

## Examples

                   c = jcompile("Test", ["public class Test {";
                                         "public int field;";
                                         "public Test(int n) {";
                                         "field = n;";
                                         "}";
                                         "}";]);
                   t = c.new(128);
                   t.field
                   jsetfield(t, "field", 256);
                   t.field

                   // But it is easier to use...
                   t.field = 512;
                   t.field
                   jremove c t;

    jimport java.util.Date;

    d = Date.new();
    d.minutes = 3; // will call d.setMinutes(3);
    jsetfield(d, "minutes", 3); // will call d.setMinutes(3);

    jremove Date d;

## See Also

- jgetfield

## History

5.5.0
Function introduced. Based on the 'JIMS' module. The main difference in the behavior compared to the JIMS module is that jautoUnwrap is enabled by default.